package net.sourceforge.basher;

import java.util.List;

/** Provider of tasks to the Basher runtime.  Allows services to be defined outside of Gaderian and 'provided' into
 * the Basher runtime in one single operation.
 *
 * @author Johan Lindquist
 */
public interface TaskProvider
{
    /** Retrieves the tasks loaded through this <code>TaskProvider</code>.
     *
     * @return The list of <code>Task</code> instances loaded through this <code>TaskProvider</code>.
     */
    public List<Task> getTasks();

    /** Retrives the list of classes to be used as <code>Task</code> instances.  These may be both annotated and/or
     * non-annotated classes.
     *
     * @return List of classes to be used as <code>Task</code> instances.
     */
    public List<Class>  getTaskClasses();
}
