package net.sourceforge.basher.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import net.sourceforge.basher.Phase;

/**  Defines the phases in which the <code>Task</code> should execute.  Defaults to the <code>RUN</code> phase.
 * @author Johan Lindquist
 */
@Retention( RetentionPolicy.RUNTIME)
@Target( ElementType.TYPE)
public @interface BasherPhases
{
    /** Defines the phases in which the <code>Task</code> should execute.
     * Defaults to the <code>RUN</code> phase.
     *
     * @return The applicable phases
     */
    Phase[] phases() default { Phase.RUN };
}
