package net.sourceforge.basher.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/** Defines the time before which the task may not be executed.  Defined in seconds since beginning of the run.
 * @author Johan Lindquist
 * @version $Revision$
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface BasherRunFrom
{
    /** Defines the time before which the task may not be executed.
     * Defined in seconds since beginning of the run.
     *
     * @return The time
     */
    long time();
}
