package net.sourceforge.basher.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/** Indicates that the annotated class should be treated as a Basher timed task.  The specified 'interval' property
 * specifies at what interval the task should run.
 * @author Johan Lindquist
 */
@Retention( RetentionPolicy.RUNTIME)
@Target( ElementType.TYPE)
public @interface BasherTimedTask
{
    /** Specifies the interval at which the task should run.  Defined in seconds.
     *
     * @return The interval (in seconds)
     */
    int interval();
}
