package net.sourceforge.basher.events;

/**
 * @author Johan Lindquist
 */
public class BasherShutdownEvent extends BasherEvent
{
    private String _message;

    public BasherShutdownEvent(final String message)
    {
        _message = message;
    }

    public String getMessage()
    {
        return _message;
    }

    @Override
    public boolean equals(final Object o)
    {
        if (this == o)
        {
            return true;
        }
        if (o == null || getClass() != o.getClass())
        {
            return false;
        }
        if (!super.equals(o))
        {
            return false;
        }

        final BasherShutdownEvent that = (BasherShutdownEvent) o;

        if (_message != null ? !_message.equals(that._message) : that._message != null)
        {
            return false;
        }

        return true;
    }

    @Override
    public int hashCode()
    {
        int result = super.hashCode();
        result = 31 * result + (_message != null ? _message.hashCode() : 0);
        return result;
    }

    @Override
    public String toString()
    {
        return "BasherShutdownEvent{" +
                "_message='" + _message + '\'' +
                '}';
    }
}
