package net.sourceforge.basher.internal.impl;

import java.util.List;

import net.sourceforge.basher.*;
import net.sourceforge.basher.events.*;

/**
 * @author Johan Lindquist
 * @version $Revision$
 */
public class BeanShellHelper
{
    private static Scheduler _scheduler;
    private static EventManager _eventManager;
    private static TaskManager _taskManager;
    private static ContextManager _contextManager;

    public static void setContextManager(final ContextManager contextManager)
    {
        BeanShellHelper._contextManager = contextManager;
    }

    public static void setEventManager(final EventManager eventManager)
    {
        BeanShellHelper._eventManager = eventManager;
    }

    public static void setScheduler(final Scheduler scheduler)
    {
        BeanShellHelper._scheduler = scheduler;
    }

    public static void setTaskManager(final TaskManager taskManager)
    {
        BeanShellHelper._taskManager = taskManager;
    }

    public static void start(final String contextName)
    {
        _scheduler.start(contextName);
    }

    public static void start()
    {
        _scheduler.start();
    }

    public static void stop()
    {
        _scheduler.stop();
    }

    public static void addThread()
    {
        _scheduler.addThread();
    }

    public static void addThreads(final int numThreads)
    {
        _scheduler.addThreads(numThreads);
    }

    public static boolean isRunning()
    {
        return _scheduler.isRunning();
    }

    public static int getNumberOfActiveThreads()
    {
        return _scheduler.getNumberOfActiveThreads();
    }

    public static void removeThread()
    {
        _scheduler.removeThread();
    }

    public static void removeAllThreads()
    {
        _scheduler.removeAllThreads();
    }

    public List<Task> getRegisteredTasks()
    {
        return _taskManager.getRegisteredTasks();
    }

    public List<BasherContext> getBasherContexts()
    {
        return _contextManager.getBasherContexts();
    }

    public static void signalShutdown()
    {
        _eventManager.publish(new BasherShutdownEvent("BeanShell Shutdown"));
    }

}
